Bug 1950460 - RFE: Change Request Size Input to Number Spinner Input
Summary: RFE: Change Request Size Input to Number Spinner Input
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.8
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.8.0
Assignee: Kim Dobestein
QA Contact: Xiyun Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-16 16:45 UTC by Bipul Adhikari
Modified: 2021-07-27 23:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:01:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8713 0 None open [WIP] Bug 1950460: Change Request size input to a number spinner input 2021-04-26 14:10:50 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:01:41 UTC

Comment 1 Jakub Hadvig 2021-04-19 08:05:37 UTC
Kim this looks like a good starting point BZ.
If you have any questions please ping me or ask the @console-team on the slack channel.

Comment 3 Xiyun Zhao 2021-05-24 06:38:58 UTC
This bug has been fixed and verified on payload 4.8.0-0.nightly-2021-05-21-233425

Pre-condition:
1. Persistent Volume Claims is exist for expand
Step for Verify :
1. Login to OCP, and go to PVC(PersistentVolumeClaims) page
2. Click 'Expand PVC' on action list on PVC detail page
   Or Choose 'Expand PVC' after click kebab which on the end of PVC page
3. Verify if Increment/Decrement Button is present on the pops up page for 'Expand PersistentVolumeClaim'
4. Verify if description on below has been added by following the discussion of https://issues.redhat.com/browse/RHSTOR-1450 
   Increase the capacity of PVC <PVC name>. Note that capacity can't be less than the current PVC size. This can be a time-consuming process.

Result:
3. Increment/Decrement Button is present on 'Expand PersistentVolumeClaim' page
4. Description has been updated
   Increase the capacity of PVC <PVC name>. Note that capacity can't be less than the current PVC size. This can be a time-consuming process.

Comment 6 errata-xmlrpc 2021-07-27 23:01:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.